Skip to main content
GET
/
actions
/
{id}
Get Action
curl --request GET \
  --url https://crm.universal.rollout.com/api/actions/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Rollout-Credential-Id: <api-key>'
{
  "id": "<string>",
  "credentialId": "<string>",
  "actionType": "<string>",
  "requestPayload": "<unknown>",
  "results": "<unknown>",
  "status": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Authorization JWT

X-Rollout-Credential-Id
string
header
required

The Rollout Credential ID to use for queries/mutations

Path Parameters

id
string
required

Response

OK

id
string
required
credentialId
string
required
actionType
required
requestPayload
any
required
results
any
required
status
required
createdAt
string
required
updatedAt
string
required